GNU bug report logs - #18548
Emacs whitespace mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Kip Coul <kipcoul@HIDDEN>; dated Wed, 24 Sep 2014 18:20:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 18548 <at> debbugs.gnu.org:


Received: (at 18548) by debbugs.gnu.org; 31 Oct 2019 16:15:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 12:15:38 2019
Received: from localhost ([127.0.0.1]:54129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQD6o-0001yu-C9
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:15:38 -0400
Received: from mail-pf1-f179.google.com ([209.85.210.179]:43673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iQD6k-0001yX-4l
 for 18548 <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:15:34 -0400
Received: by mail-pf1-f179.google.com with SMTP id 3so4672485pfb.10
 for <18548 <at> debbugs.gnu.org>; Thu, 31 Oct 2019 09:15:34 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=EyHdfTdkheo+sXeORo30XY7yQKXBusWRqVe2iGYo3ew=;
 b=r0dCcvTsj+wMPNgxuin1Cob/zG1RBJ9CH1IwLoxbmmYsgfOB2okUCPO6PCMqCmuMSA
 fk29mAEXuqEGuDQXNNU8PSErRjTZSZ0vV78bgI/anqCzoTbPToXeSLOKnWHfAC/yg0v0
 6VAH/bZWrwkgD0xUHghyjuZRYTR3k9Da9GwwhQh/gFpMUszGKJP/abhRCFnqZGvKkLub
 0ElRYIOeA06ofEugM9xd+cVTo+xWIjiTDsyvdYYVn457jMUcyAXvK2F57ZYK7aKedhVO
 VikFjVppkTevjYckN2qbxfCF71zP3iabUvK27RIZ3uVnx1VQAeOkvD4/k8yQqL8dz2UH
 9M+A==
X-Gm-Message-State: APjAAAUk4OwubClDzus6EwBV/CDfIpiqkKGXgD4IWfHX/3ty1knDzb/A
 yPWh4otx6VAv3oGOvKP0IAvCdJcuV12fvxAdBdI=
X-Google-Smtp-Source: APXvYqzn4mZBYBRU4ZlafrbPNgIi8hvTb+gG/iHpV0BhdUZzv+HB7PZighdUu8BHdUosYIuJKHjdxqbQobZYTiRzRbg=
X-Received: by 2002:a63:7015:: with SMTP id l21mr7091718pgc.200.1572538526427; 
 Thu, 31 Oct 2019 09:15:26 -0700 (PDT)
MIME-Version: 1.0
References: <CADwFkmmX1FyEQYp_LV1zK1uJzxWW-wy_gpe-uqCn4NeW6F8g-A@HIDDEN>
 <CAC4zew3x=fD1hwsJ02xxxa7ceB6EW-iD8tf-jwnU6A7FbYoh0A@HIDDEN>
 <87imo6x8vd.fsf@HIDDEN>
 <CAC4zew1noC0Eue5WgyhL5OoPb+5Hwa2REbCDqDVMRmnAZyv9ew@HIDDEN>
In-Reply-To: <CAC4zew1noC0Eue5WgyhL5OoPb+5Hwa2REbCDqDVMRmnAZyv9ew@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Thu, 31 Oct 2019 17:15:15 +0100
Message-ID: <CADwFkmnsa6OfY-1XGs3+zcPMkWcGceoWU3qB8qFRrZi8jaEFjQ@HIDDEN>
Subject: Re: bug#18548: Emacs whitespace mode
To: Nathaniel Braun <nathaniel.braun@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 18548
Cc: Kip Coul <kipcoul@HIDDEN>, Jack Morrison <JackMorrison1@HIDDEN>,
 18548 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Nathaniel Braun <nathaniel.braun@HIDDEN> writes:
> How can I help fix this?

If you know Emacs Lisp, you could dig into the code in
lisp/whitespace.el to try to find a fix.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18548; Package emacs. Full text available.

Message received at 18548 <at> debbugs.gnu.org:


Received: (at 18548) by debbugs.gnu.org; 31 Oct 2019 14:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 10:35:02 2019
Received: from localhost ([127.0.0.1]:53986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQBXP-0007kf-RI
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 10:35:02 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:46673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nathaniel.braun@HIDDEN>) id 1iQ6hK-0000K8-HY
 for 18548 <at> debbugs.gnu.org; Thu, 31 Oct 2019 05:24:55 -0400
Received: by mail-io1-f41.google.com with SMTP id c6so5865682ioo.13
 for <18548 <at> debbugs.gnu.org>; Thu, 31 Oct 2019 02:24:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=1aDY/++ZuSuu3TCievVRqXO5VPQ/4sJf4ZxKzZphTyE=;
 b=gfgKb45fwI9sQby/RTikFDXIixPjXq6aQj3aliKK7gAkYpCJGl297iSOClgTDyDX4a
 1V31hnPq+ADbwVJvLCkzYUbsK/FP7PzTnD7/MCWzDLSOQvIE/FGKKn+iVkjZa+KON3U1
 abzdvp4oDSmvyzoOpOtWwdfp3VVyfcRW0XgAFkcvZOm23+JSTxRp/0yZVVD5pL7A0l0Y
 vlZLrVeNZGKOsEIkpRHIh94E9lq73SsXE8kV6BYaZ559KoEOj/RrkY3UptK3id/rUyhR
 9LN+PY5HTnPOnZOGEoGydnpTvcxVmRkFMvjwpTIKss7kEXrfBKjVc+5Fy6mo1loCXSqF
 WRaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=1aDY/++ZuSuu3TCievVRqXO5VPQ/4sJf4ZxKzZphTyE=;
 b=b5cl9cduNJSoVwIcpZBhJPo5mfNltShYkWxm6nQ2bv00JxEYr3BLjYpqvhN4a4OgnD
 dGSQgGC4cHUKsKBrI0xvw4W08AQLXc9utOjxxHxaHw710nXsf7A6ql0f9kqZTHfP6Anw
 LzLcyw4CvvGV+t1doFcINag7CLDuUn1zGe2rIcQvFCyvJzQ44QuoCkcurA9gXLFFvg7k
 J31IKIXlBltsRlwIG00K4qR0FIbnpZ6xO86aCLsl/dcONSNg52z5XecdK8Fj4ySFh3GM
 WeT8EBTRTrYEmq+L7h8VknSe3Kay0nLfyIm4/npcCyQeStRGeCU5fxY3XxouR6+AaLxK
 dU6w==
X-Gm-Message-State: APjAAAWHXHXTOJW6OSDxcHTrqMfxvsqf9KH6NmVmxODC51VGzXjdaJrJ
 I/5fBXpf4XwGZE5ALHrpWtpEM4OqljFFxaLWwC0=
X-Google-Smtp-Source: APXvYqz3h5dRnZ5Z9NadaqFmGJKbIievlsTHs+7c59DIhScMqR0CZRNDwKQgBaBO+SaPUlH2j/btVBua8XqURPakCY0=
X-Received: by 2002:a6b:8e97:: with SMTP id q145mr3925190iod.65.1572513888771; 
 Thu, 31 Oct 2019 02:24:48 -0700 (PDT)
MIME-Version: 1.0
References: <CADwFkmmX1FyEQYp_LV1zK1uJzxWW-wy_gpe-uqCn4NeW6F8g-A@HIDDEN>
 <CAC4zew3x=fD1hwsJ02xxxa7ceB6EW-iD8tf-jwnU6A7FbYoh0A@HIDDEN>
 <87imo6x8vd.fsf@HIDDEN>
In-Reply-To: <87imo6x8vd.fsf@HIDDEN>
From: Nathaniel Braun <nathaniel.braun@HIDDEN>
Date: Thu, 31 Oct 2019 11:24:37 +0200
Message-ID: <CAC4zew1noC0Eue5WgyhL5OoPb+5Hwa2REbCDqDVMRmnAZyv9ew@HIDDEN>
Subject: Re: bug#18548: Emacs whitespace mode
To: Stefan Kangas <stefan@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18548
X-Mailman-Approved-At: Thu, 31 Oct 2019 10:34:58 -0400
Cc: Kip Coul <kipcoul@HIDDEN>, Jack Morrison <JackMorrison1@HIDDEN>,
 18548 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thank you.

The workaround mentioned here simply deletes the tab visualization, it
does not actually fix the issue.

How can I help fix this?

Thank you

On Wed, Oct 30, 2019 at 10:43 PM Stefan Kangas <stefan@HIDDEN> wrote:
>
> Hi Nathaniel,
>
> Nathaniel Braun <nathaniel.braun@HIDDEN> writes:
>
> > Thanks for your e-mail. However, no, it does not fix my problem.
> > Please see https://www.emacswiki.org/emacs/WhiteSpace#toc9
> >
> > There you can read the following:
> >
> >             ;; WARNING: the mapping below has a problem.
> >             ;; When a TAB occupies exactly one column, it will display
> > the character
> >             ;; ?\xBB at that column followed by a TAB which goes to the next TAB
> >             ;; column.
> >             ;; If this is a problem for you, please, comment the line below.
> >             ;;(tab-mark   ?\t   [?\xBB ?\t] [?\\ ?\t]) ; tab
> >
> > This is exactly my issue! When a tab is one character, I need it to
> > occupy one character, not one character plus a tab.
>
> Did any of the workarounds described on the linked page work for you?
>
> Best regards,
> Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18548; Package emacs. Full text available.

Message received at 18548 <at> debbugs.gnu.org:


Received: (at 18548) by debbugs.gnu.org; 30 Oct 2019 20:43:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 30 16:43:40 2019
Received: from localhost ([127.0.0.1]:51628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iPuoe-00073e-7I
	for submit <at> debbugs.gnu.org; Wed, 30 Oct 2019 16:43:40 -0400
Received: from giraff.fripost.org ([193.234.15.44]:42142
 helo=outgoing.fripost.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <skangas@HIDDEN>) id 1iPuod-00073Q-1W
 for 18548 <at> debbugs.gnu.org; Wed, 30 Oct 2019 16:43:39 -0400
Received: from localhost (localhost [127.0.0.1])
 by outgoing.fripost.org (Postfix) with ESMTP id 3A7FF187E7A0;
 Wed, 30 Oct 2019 21:43:33 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=x.fripost.org; h=
 content-type:content-type:mime-version:user-agent:message-id
 :in-reply-to:date:date:references:subject:subject:from:from; s=
 9df9cdc7e101629b5003b587945afa70; t=1572468213; x=1574282614;
 bh=EOjSqoy9C7oTR5FDnwHJm37jQd6ySCcfEvU/x8WKErY=; b=PRzW7cZM2/F0
 rGSfOSecj7Pc/P4ER0+4a0DPRy5ymkE21yX9TCCAAxeNgfOAKKMunPd73cAmfpMJ
 YQ8U34I6uRj/kYj5QdDDt93ngunB4FEBRSZw6Cd/DgYtJ0Ipc9cV1fHqnYxvsLQx
 l+5h965BSdVLocYu+GFCwbN33WkjgDEEMtCN7UeSTrTFbk2juop+WrslfZTASdrN
 fVM6o+uB23iCP8N8PJBOCERZfsBFiZkHvYOpX6CoAjYOM2TDWoAdxZ67dwp/Mf0o
 vQdR6GcMD+RRoQRHbkAHpA5m7GnqGNGvsCR0wzu5Xj2PhCp/gzIA969RrpDq0Dw6
 Uge5cMzDIg==
X-Virus-Scanned: Debian amavisd-new at fripost.org
Received: from outgoing.fripost.org ([127.0.0.1])
 by localhost (giraff.fripost.org [127.0.0.1]) (amavisd-new, port 10040)
 with LMTP id j7KXScvaF6xT; Wed, 30 Oct 2019 21:43:33 +0100 (CET)
Received: from smtp.fripost.org (unknown [172.16.0.6])
 by outgoing.fripost.org (Postfix) with ESMTP id 19138187E79C;
 Wed, 30 Oct 2019 21:43:33 +0100 (CET)
Received: from [127.0.0.1] (localhost [127.0.0.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 by smtp.fripost.org (Postfix) with ESMTPSA id E2CD1599ED4F;
 Wed, 30 Oct 2019 21:43:17 +0100 (CET)
Received: from skangas by joffe.skangas.se with local (Exim 4.92)
 (envelope-from <skangas@HIDDEN>)
 id 1iPuo2-0004XV-Vj; Wed, 30 Oct 2019 21:43:03 +0100
From: Stefan Kangas <stefan@HIDDEN>
To: Nathaniel Braun <nathaniel.braun@HIDDEN>
Subject: Re: bug#18548: Emacs whitespace mode
References: <CADwFkmmX1FyEQYp_LV1zK1uJzxWW-wy_gpe-uqCn4NeW6F8g-A@HIDDEN>
 <CAC4zew3x=fD1hwsJ02xxxa7ceB6EW-iD8tf-jwnU6A7FbYoh0A@HIDDEN>
Date: Wed, 30 Oct 2019 21:43:02 +0100
In-Reply-To: <CAC4zew3x=fD1hwsJ02xxxa7ceB6EW-iD8tf-jwnU6A7FbYoh0A@HIDDEN>
 (Nathaniel Braun's message of "Thu, 3 Oct 2019 12:34:15 +0300")
Message-ID: <87imo6x8vd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: 18548
Cc: Kip Coul <kipcoul@HIDDEN>, Jack Morrison <JackMorrison1@HIDDEN>,
 18548 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

Hi Nathaniel,

Nathaniel Braun <nathaniel.braun@HIDDEN> writes:

> Thanks for your e-mail. However, no, it does not fix my problem.
> Please see https://www.emacswiki.org/emacs/WhiteSpace#toc9
>
> There you can read the following:
>
>             ;; WARNING: the mapping below has a problem.
>             ;; When a TAB occupies exactly one column, it will display
> the character
>             ;; ?\xBB at that column followed by a TAB which goes to the next TAB
>             ;; column.
>             ;; If this is a problem for you, please, comment the line below.
>             ;;(tab-mark   ?\t   [?\xBB ?\t] [?\\ ?\t]) ; tab
>
> This is exactly my issue! When a tab is one character, I need it to
> occupy one character, not one character plus a tab.

Did any of the workarounds described on the linked page work for you?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18548; Package emacs. Full text available.

Message received at 18548 <at> debbugs.gnu.org:


Received: (at 18548) by debbugs.gnu.org; 3 Oct 2019 14:35:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 10:35:04 2019
Received: from localhost ([127.0.0.1]:40732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG2C7-00068B-A2
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 10:35:04 -0400
Received: from mail-io1-f54.google.com ([209.85.166.54]:34401)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nathaniel.braun@HIDDEN>) id 1iFxVI-0003m5-2X
 for 18548 <at> debbugs.gnu.org; Thu, 03 Oct 2019 05:34:33 -0400
Received: by mail-io1-f54.google.com with SMTP id q1so4003180ion.1
 for <18548 <at> debbugs.gnu.org>; Thu, 03 Oct 2019 02:34:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=XlkAWVdgUaaXevTs6jFpl7xpNkw+3I8esitCfRiLT88=;
 b=eB0ZWkmlPj20TgNeln/d5lSNpmOONoIYpBJ5oSiFP0ejVoglENxQMAMnBbFNDovufG
 o9BVPaFJn3kww0AXBF0K0/W+8BJbXycj9o0Rk9jloN5CRXW6C6u5Lz7f7NllrvNOkSdE
 5UhmnKaUqB1IjXqsx+kk+q+vV1/f1Ew6xlqk/w2sLiLkvhnHZvyTqvhOqw8EeoAmHrp2
 MhHNc03kNm0lrdco0n3hBucvEKRL62wGiwY9KGfGYbtg0eJebSiZHu/PaDUCr/+reMRf
 udM2Ub5zgS7dOgJqdg45r8upAMyq9vHrl+ruoOBkuvznqcdS9rWhX7V/7KLytaVMxkWE
 EvJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=XlkAWVdgUaaXevTs6jFpl7xpNkw+3I8esitCfRiLT88=;
 b=n0WAGNNA8Aih/dp+sfFhOE6KoIO8yUlq8Rn6fGHSCtNBlxCQZNOVYD/S2yYwbJ9bTx
 s3ZxWUZ+kHY8Ob58xQwFml13rJPMak3MDNL6UHGigBkWGqRPh5zgh1IevJ8jk/rj25g8
 4MvwEESZjcQtUpFTL8f78mKajDjAbGYSw5/DhL/ymrZSeoHxQ2nn3IKQo1GMQ97ICZGR
 J4MoEp52DCBRsA20twFkCJiz3lLmHVjuYgsca+PhYLV3/wuM0phsJhkm6Th1Q89H++YH
 xW39ePlAg7I5p+8Ymxd/5vYSq/MNIF+aXRPdySQ1DN54r52LqUFFpVud3RsHBh3A+hJR
 GJ5w==
X-Gm-Message-State: APjAAAWJ0UHkgVdwhNaSXtbjXveYOY8wGFLpzy458fTFavaCOxUbBEQE
 1xwezH1a4aq6PiJKPBM9tPvU5ugmCXNFbHwtYp0=
X-Google-Smtp-Source: APXvYqxlwZ6STQ1yUFeiccu1zo0SZ9SEk8X9cYaUGvTYrUHTNlXcDf0tA1AbRJB/BHJIAsfbFvuBPhKGG4a9MJMGLrM=
X-Received: by 2002:a92:1054:: with SMTP id y81mr8728988ill.274.1570095266342; 
 Thu, 03 Oct 2019 02:34:26 -0700 (PDT)
MIME-Version: 1.0
References: <CADwFkmmX1FyEQYp_LV1zK1uJzxWW-wy_gpe-uqCn4NeW6F8g-A@HIDDEN>
In-Reply-To: <CADwFkmmX1FyEQYp_LV1zK1uJzxWW-wy_gpe-uqCn4NeW6F8g-A@HIDDEN>
From: Nathaniel Braun <nathaniel.braun@HIDDEN>
Date: Thu, 3 Oct 2019 12:34:15 +0300
Message-ID: <CAC4zew3x=fD1hwsJ02xxxa7ceB6EW-iD8tf-jwnU6A7FbYoh0A@HIDDEN>
Subject: Re: bug#18548: Emacs whitespace mode
To: Stefan Kangas <stefan@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18548
X-Mailman-Approved-At: Thu, 03 Oct 2019 10:35:00 -0400
Cc: Kip Coul <kipcoul@HIDDEN>, 18548 <at> debbugs.gnu.org,
 Jack Morrison <JackMorrison1@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Thanks for your e-mail. However, no, it does not fix my problem.
Please see https://www.emacswiki.org/emacs/WhiteSpace#toc9

There you can read the following:

            ;; WARNING: the mapping below has a problem.
            ;; When a TAB occupies exactly one column, it will display
the character
            ;; ?\xBB at that column followed by a TAB which goes to the next TAB
            ;; column.
            ;; If this is a problem for you, please, comment the line below.
            ;;(tab-mark   ?\t   [?\xBB ?\t] [?\\ ?\t]) ; tab

This is exactly my issue! When a tab is one character, I need it to
occupy one character, not one character plus a tab.

Thanks!

On Mon, Sep 30, 2019 at 5:43 AM Stefan Kangas <stefan@HIDDEN> wrote:
>
> Jack Morrison <JackMorrison1@HIDDEN> writes:
>
> > Hi Kip,
> >
> > I think the feature you're looking for can be accomplished quickly by customizing the `whitespace-display-mappings` customization option in whitespace.el.
> >
> > If your tab size is fixed at 4, you can just go ahead and customize it with `M-x customize-variable whitespace-display-mappings` and change the TAB character mapping vector to be "---->" or your preferred output. If your tab size is variable, then
> > perhaps you could add a hook to modify the "tab-mark" vector list when loading a new file.
> >
> > Hope that helps.
> >
> > Cheers,
> > Jack
>
> Hi Kip,
>
> It seems like the capabilities you were asking for are already there.
> Did the above resolve the issue for you?
>
> Best regards,
> Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18548; Package emacs. Full text available.

Message received at 18548 <at> debbugs.gnu.org:


Received: (at 18548) by debbugs.gnu.org; 30 Sep 2019 02:43:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 22:43:51 2019
Received: from localhost ([127.0.0.1]:56393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iElfD-0004r9-KE
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 22:43:51 -0400
Received: from mail-pl1-f181.google.com ([209.85.214.181]:36624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iElfC-0004qo-20
 for 18548 <at> debbugs.gnu.org; Sun, 29 Sep 2019 22:43:50 -0400
Received: by mail-pl1-f181.google.com with SMTP id f19so3309635plr.3
 for <18548 <at> debbugs.gnu.org>; Sun, 29 Sep 2019 19:43:49 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=cMnCeaLqmVIWKc7E3eJ3W5qQEO7JW5yjSYFOuL4Fnrw=;
 b=bZRh/knmeIdh3AZMk3Owc3790BFUKAoCBIaM6BzVDtoP0Ix8T1Llwo9VNY33Y7WAGb
 CmCV0MGQ5heXFUHpOpUJrwlPgqCJfjeMJS+PVeg7luRF/z9I4LsB1IrkcfupnZhXmaKU
 mEYouUHqpHBLlB79uien/S06SIFcI31T1BkseVaf4m0ua7CCiVveuxHehc1n7PtpUWNJ
 ethMMOhK4NH0i2uQRRV9o3DVLu0FF4VwMeekGp5ryG/Kvmc/laDNTQEo+miuh5gNIVxI
 +ACxyuM1GOOQzKRWFDEGHuc0P4A8wfoO75uPHyg6OKzYWykULuOpXXrXjSl20dp0I0qI
 Fp9w==
X-Gm-Message-State: APjAAAXmhWc/G9Jt71vPej5cgrJ+e4SCUhXldnMr1onl7VPSzEs/zy8L
 mYx4IjpsCZYykp7b5FNzEokxB49WAla4gk+gGgk=
X-Google-Smtp-Source: APXvYqxF68EhiowgbLORvSAYgjtqJJU8oY5qtoiGpjJPqE+y4hWPu9Rtt27tKtLZsNy4zN2/s/2qk0VhJJOGd2K2wwA=
X-Received: by 2002:a17:902:a515:: with SMTP id
 s21mr18353956plq.259.1569811424255; 
 Sun, 29 Sep 2019 19:43:44 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Mon, 30 Sep 2019 04:43:33 +0200
Message-ID: <CADwFkmmX1FyEQYp_LV1zK1uJzxWW-wy_gpe-uqCn4NeW6F8g-A@HIDDEN>
Subject: Re: bug#18548: Emacs whitespace mode
To: Jack Morrison <JackMorrison1@HIDDEN>, Kip Coul <kipcoul@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18548
Cc: 18548 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jack Morrison <JackMorrison1@HIDDEN> writes:

> Hi Kip,
>
> I think the feature you're looking for can be accomplished quickly by customizing the `whitespace-display-mappings` customization option in whitespace.el.
>
> If your tab size is fixed at 4, you can just go ahead and customize it with `M-x customize-variable whitespace-display-mappings` and change the TAB character mapping vector to be "---->" or your preferred output. If your tab size is variable, then
> perhaps you could add a hook to modify the "tab-mark" vector list when loading a new file.
>
> Hope that helps.
>
> Cheers,
> Jack

Hi Kip,

It seems like the capabilities you were asking for are already there.
Did the above resolve the issue for you?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18548; Package emacs. Full text available.

Message received at 18548 <at> debbugs.gnu.org:


Received: (at 18548) by debbugs.gnu.org; 14 Nov 2014 16:49:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 14 11:49:32 2014
Received: from localhost ([127.0.0.1]:32779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XpK3v-00052V-R1
	for submit <at> debbugs.gnu.org; Fri, 14 Nov 2014 11:49:32 -0500
Received: from mail-oi0-f47.google.com ([209.85.218.47]:62146)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <makajawanjack@HIDDEN>) id 1XpK3u-00052M-1g
 for 18548 <at> debbugs.gnu.org; Fri, 14 Nov 2014 11:49:30 -0500
Received: by mail-oi0-f47.google.com with SMTP id v63so3079964oia.34
 for <18548 <at> debbugs.gnu.org>; Fri, 14 Nov 2014 08:49:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:from:date:message-id:subject:to:content-type;
 bh=dYGaqbZkwi+txm+yG1cD3GN6JzOb6BPITS9cJV/tCZQ=;
 b=hucF4IYW+qOflv9Iu2FQ4Nnid9h1NGKpLVPCmUBKy7v9cyi/Yn2gtkSF+wHibCbDMd
 n1YTe9gNOOjmEmi9L7MU33VpJC3XzzfWD3oT+ckskEze86VZjWF4PjT2MxNK9hmtz6/N
 Ol4vnngvxie93NJZz+lyGALPzVCBUfEjVhmFn5YUTPNSedoCZGUKalFW7ggKRu/RYV4j
 kwFBP+Aaa82sZDXJeAI9FU/kVKhQNlX9MV2pmo1PHLem73MhLjco7AXGsCgqo8qgZmvY
 S98n6XqoQloemHCQ0JH7X8DrJcc3xolKnmK+R5NAfZDQ8elAagT/1T7JKF1XAK1SOw3B
 uEkA==
X-Received: by 10.60.173.240 with SMTP id bn16mr8752096oec.41.1415983769164;
 Fri, 14 Nov 2014 08:49:29 -0800 (PST)
MIME-Version: 1.0
Received: by 10.60.135.193 with HTTP; Fri, 14 Nov 2014 08:49:09 -0800 (PST)
From: Jack Morrison <JackMorrison1@HIDDEN>
Date: Fri, 14 Nov 2014 09:49:09 -0700
X-Google-Sender-Auth: huL4snJPEsWLKaIokGMmxX1X9L8
Message-ID: <CALATMo+fKc7Q962ZC8zzXcXBuEpjJPdBJhnnc9meDKfEWy3vsw@HIDDEN>
Subject: bug#18548
To: 18548 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=089e0118441091a2590507d469dd
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18548
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e0118441091a2590507d469dd
Content-Type: text/plain; charset=UTF-8

Hi Kip,

I think the feature you're looking for can be accomplished quickly by
customizing the `whitespace-display-mappings` customization option in
whitespace.el.

If your tab size is fixed at 4, you can just go ahead and customize it with
`M-x customize-variable whitespace-display-mappings` and change the TAB
character mapping vector to be "---->" or your preferred output. If your
tab size is variable, then perhaps you could add a hook to modify the
"tab-mark" vector list when loading a new file.

Hope that helps.

Cheers,
Jack

--089e0118441091a2590507d469dd
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><span style=3D"font-family:arial,sans-serif;font-size:13px=
">Hi Kip,</span><div style=3D"font-family:arial,sans-serif;font-size:13px">=
<br></div><div style=3D"font-family:arial,sans-serif;font-size:13px">I thin=
k the feature you&#39;re looking for can be accomplished quickly by customi=
zing the `whitespace-display-mappings` customization option in whitespace.e=
l.</div><div style=3D"font-family:arial,sans-serif;font-size:13px"><br></di=
v><div style=3D"font-family:arial,sans-serif;font-size:13px">If your tab si=
ze is fixed at 4, you can just go ahead and customize it with `M-x customiz=
e-variable whitespace-display-mappings` and change the TAB character mappin=
g vector to be &quot;----&gt;&quot; or your preferred output. If your tab s=
ize is variable, then perhaps you could add a hook to modify the &quot;tab-=
mark&quot; vector list when loading a new file.</div><div style=3D"font-fam=
ily:arial,sans-serif;font-size:13px"><br></div><div style=3D"font-family:ar=
ial,sans-serif;font-size:13px">Hope that helps.</div><div style=3D"font-fam=
ily:arial,sans-serif;font-size:13px"><br></div><div style=3D"font-family:ar=
ial,sans-serif;font-size:13px">Cheers,<br>Jack</div></div>

--089e0118441091a2590507d469dd--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18548; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2014 18:19:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 24 14:19:06 2014
Received: from localhost ([127.0.0.1]:51019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XWr9d-0006qM-LS
	for submit <at> debbugs.gnu.org; Wed, 24 Sep 2014 14:19:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52275)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kipcoul@HIDDEN>) id 1XWlh8-0003pR-PD
 for submit <at> debbugs.gnu.org; Wed, 24 Sep 2014 08:29:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kipcoul@HIDDEN>) id 1XWlgs-00008i-5c
 for submit <at> debbugs.gnu.org; Wed, 24 Sep 2014 08:29:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:46661)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kipcoul@HIDDEN>) id 1XWlgs-0008Rn-38
 for submit <at> debbugs.gnu.org; Wed, 24 Sep 2014 08:29:02 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50060)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kipcoul@HIDDEN>) id 1XWlRh-0006Ky-EY
 for bug-gnu-emacs@HIDDEN; Wed, 24 Sep 2014 08:13:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kipcoul@HIDDEN>) id 1XWlRf-0004EW-Q5
 for bug-gnu-emacs@HIDDEN; Wed, 24 Sep 2014 08:13:21 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52418)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kipcoul@HIDDEN>) id 1XWlRf-0004DG-Np
 for bug-gnu-emacs@HIDDEN; Wed, 24 Sep 2014 08:13:19 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45965)
 by fencepost.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <kipcoul@HIDDEN>) id 1XWlRa-0007Pb-Hz
 for bug-emacs@HIDDEN; Wed, 24 Sep 2014 08:13:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kipcoul@HIDDEN>) id 1XWlRX-0004AJ-Ix
 for bug-emacs@HIDDEN; Wed, 24 Sep 2014 08:13:14 -0400
Received: from mail-pa0-x22a.google.com ([2607:f8b0:400e:c03::22a]:42282)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kipcoul@HIDDEN>) id 1XWlRX-00048d-6G
 for bug-emacs@HIDDEN; Wed, 24 Sep 2014 08:13:11 -0400
Received: by mail-pa0-f42.google.com with SMTP id et14so8591571pad.1
 for <bug-emacs@HIDDEN>; Wed, 24 Sep 2014 05:13:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=nvo64IwB0XMi3WAoKscEsXDDvv0qfDE+8uDD95EMrkE=;
 b=Frvrq8n77F2EYBMNi2Yikhq8WqEtGdNojNdh56lxnwbTV0yY3Fj3/i6h4GtlLt571i
 VH8W1e2YKErbCpLPzJ1CqkAXjAsx7xjIobSQYtp5Y7fhLCWfEf+5D4m5pkVkQUFoufGs
 yL6GpcbCm+ayMZNjc8a4qYPu2BQ9wCoHKebJQDkrHEgbIgv+HPA9i0kpqykjDxS90hsw
 ZsU5ZuTsHjMdc1VsbdC0WLmKR81lPn9TlypI/qCnGxDbAoVk2pRxo5FaUuadCD29PUtC
 tXVsAgByb26RVHnmf2ODK41Xhp3h4/fMrtPAe4GKlJ0mxOd90VEo15C/9XOZjp+fUc41
 h7/w==
MIME-Version: 1.0
X-Received: by 10.70.50.170 with SMTP id d10mr11233088pdo.33.1411560784553;
 Wed, 24 Sep 2014 05:13:04 -0700 (PDT)
Received: by 10.70.44.199 with HTTP; Wed, 24 Sep 2014 05:13:04 -0700 (PDT)
Date: Wed, 24 Sep 2014 14:13:04 +0200
Message-ID: <CADwgZAL6U_QfhmJTKrFS2zurMGr_m8=mQO0g6kPs3Em-2Zt+Ew@HIDDEN>
Subject: Emacs whitespace mode
From: Kip Coul <kipcoul@HIDDEN>
To: bug-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 24 Sep 2014 14:19:03 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hi all,

I am a fan of Emacs, and I'd like to bring a minor change but that I
find actually useful.
I'd like to modify the way tabs are displayed in whitespace mode.

Basically what I want to do is the following: display a tab as a
customizable sequence of characters instead of a character followed by
spaces.

So, if a tab takes five spaces, I'd like the user to be able to customize
this, for example to display "<--->" or "---->". You can have a look
here at how they represent tabs, it's very close to what I want to do:
http://www.emacswiki.org/TabsAreEvil#SmartTabs

The user will be able to specify the following characters:
   - char #1, that will be displayed at the beginning
   - char #2, that will be repeated
   - char #3 (optional) that will be put at the end of the tab

So, for a tab to display as "---->", you'd set char #1 = char #2 = '-'
and char #3 = '>', and for a tab to display as "<--->", you'd set char
#1 = '<', char #2 = '-' and char #3 = '>'

So, could you confirm that the file whitespace.el is the one I have to
modify? Could you give me some insight about how to do?

Thanks and regards,
Kip




Acknowledgement sent to Kip Coul <kipcoul@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18548; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.